From 6712f040b614d3a8b95827e64ad5d73cc045ff3d Mon Sep 17 00:00:00 2001
From: Arkerthan <arkerthan@gmail.com>
Date: Fri, 12 Jun 2020 20:39:03 +0200
Subject: [PATCH] add theme generator for compile.sh

---
 compile.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/compile.sh b/compile.sh
index b692df31e8c..4e6e278336b 100755
--- a/compile.sh
+++ b/compile.sh
@@ -13,6 +13,7 @@ Options:
   -h, --help     Show this help text
   -s, --sanity   Run sanityCheck
   -q, --quiet    Suppress terminal output
+  -t, --themes   Generate theme files
 HelpText
 }
 
@@ -110,6 +111,9 @@ else
 			-q | --quiet)
 				output=/dev/null
 				;;
+	    -t | --themes)
+	      themes="true"
+	      ;;
 			*)
 				echoError "Unknown argument $1."
 				displayHelp
@@ -134,3 +138,16 @@ else
 	compile
 	echoMessage "Compilation finished."
 fi
+
+# compile themes
+if [[ "$themes" ]]; then
+  (
+	  cd themes/ || exit
+    for D in *; do
+      if [ -d "${D}" ]; then
+        ../devTools/concatFiles.sh "${D}"/ '*.css' ../bin/"${D}".css
+      fi
+    done
+  )
+  echoMessage "Themes compiled"
+fi
-- 
GitLab